Package org.apache.ignite.internal.processors.query.stat

## Class ObjectStatisticsEvent

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.ObjectStatisticsEvent

    public class ObjectStatisticsEvent
    extends Object

Local object statistics change event.

### Constructor Summary

Constructors
`ObjectStatisticsEvent​(StatisticsKey key, ObjectStatisticsImpl statistics, AffinityTopologyVersion topVer)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`StatisticsKey` `key()` Get statistics key.
`ObjectStatisticsImpl` `statistics()` Get object statistics.
`AffinityTopologyVersion` `topologyVersion()` Get affinity topology version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectStatisticsEvent

    public ObjectStatisticsEvent​(StatisticsKey key,
                                 ObjectStatisticsImpl statistics,
                                 AffinityTopologyVersion topVer)

Constructor.

Parameters:
  `key` - Statistics key.
  `statistics` - Local object statistics.
  `topVer` - Affinity topology version for whick local object statistics were calculated.

### Method Detail

#### key

    public StatisticsKey key()

Get statistics key.

Returns:
  Statistics key.

#### statistics

    public ObjectStatisticsImpl statistics()

Get object statistics.

Returns:
  Object statistics.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Get affinity topology version.

Returns:
  topology version for which statisics were calculated.